Skip to main content
POST
Get all payments by network

Authorizations

X-API-KEY
string
header
required

Authorization method required to allow user to access the api endpoints.

Path Parameters

network
string
required

Query Parameters

page
string

Page number "offset"

Example:

"0"

pageSize
string

Page size

useScroll
boolean
default:false

Whether to use scroll API for pagination

scrollBatchSize
number
default:100

Batch size for scroll requests

hasMore
boolean

Whether there are more results available (only when useScroll=true)

addressParams
object[]

Array of address parameters

direction
enum<string>
default:""

Direction of payment (incoming, outgoing) default is both

Available options:
incoming,
outgoing
sort
enum<string>
default:desc

Sort order (asc, desc)

Available options:
asc,
desc
groupBy
enum<string>
default:address

"address" mode or "entity" mode

Available options:
address,
entity
startTime
string

Start time

endTime
string

End time

sortBy
enum<string>
default:ti

Sort By Field

Available options:
ti,
usd
msgTypes
string[]

Array of message types

senderSymbols
string

sender symbols seperated by comma

Body

application/json
scrollId
string

Scroll ID for pagination (only when useScroll=true)

Response

200 - application/json

List of payments for the specified network.

payments
object[]
required

Array of payment objects

scrollId
string

Scroll ID for pagination (only when useScroll=true)

hasMore
boolean

Whether there are more results available (only when useScroll=true)

count
number

Total count of payments (only in initial request or traditional pagination)

Last modified on July 30, 2026